PYSPH_VIEWER(1)

NAME
pysph_viewer - viewer to view the output of results. Usage:

DESCRIPTION
Usage: pysph_viewer [-v] <trait1=value> <trait2=value> [files.npz]

If *.npz files are not supplied it will connect to a running solver, if not it will display the given files.

The arguments <trait1=value> are optional settings like host, port and authkey etc. The following traits are available:

host
    -- hostname/IP address to connect to.

port
    -- Port to connect to

authkey
    -- authorization key to use.

interval
    -- time interval to refresh display

pause_solver
    -- Set True/False, will pause running solver

movie_directory -- directory to dump movie files (automatically set if not
    supplied)

record
    -- True/False: record movie, i.e. store screenshots of display.

play
    -- True/False: Play all stored data files.

loop
    -- True/False: Loop over data files.

OPTIONS
--------

-h/--help
    prints this message.

-v  sets verbose mode which will print solver connection status failures on stdout.

Examples:: ----------

    $ pysph_viewer interval=10 host=localhost port=8900
    $ pysph_viewer foo.npz
    $ pysph_viewer *.npz play=True loop=True

pysph_viewer [-v] <trait1=value> <trait2=value> [files.npz]

If *.npz files are not supplied it will connect to a running solver, if not it will display the given files.

The arguments <trait1=value> are optional settings like host, port and authkey etc. The following traits are available:

host
    -- hostname/IP address to connect to.

port
    -- Port to connect to

authkey
    -- authorization key to use.

interval
    -- time interval to refresh display

pause_solver
    -- Set True/False, will pause running solver

movie_directory -- directory to dump movie files (automatically set if not
    supplied)

record
    -- True/False: record movie, i.e. store screenshots of display.

play
    -- True/False: Play all stored data files.

loop
    -- True/False: Loop over data files.

--------

-h/--help
    prints this message.

-v  sets verbose mode which will print solver connection status failures on stdout.

Examples:: ----------

    $ pysph_viewer interval=10 host=localhost port=8900
    $ pysph_viewer foo.npz
    $ pysph_viewer *.npz play=True loop=True

SEE ALSO
The full documentation for pysph_viewer is maintained as a Texinfo manual. If the info and pysph_viewer programs are properly installed at your site, the command

    info pysph_viewer

should give you access to the complete manual.